Bug 84522 - overly complicated to configure orinoco_pci device in neat
overly complicated to configure orinoco_pci device in neat
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-18 08:28 EST by Chris Runge
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 05:50:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2003-02-18 08:28:44 EST
Description of problem:

It is overly complicated to configure the following wireless device using neat:
                                                                             
                                                                                
02:02.0 Network controller: Harris Semiconductor Prism 2.5 Wavelan chipset (rev
01)
        Subsystem: Intel Corp. Wireless 802.11b MiniPCI Adapter
        Flags: bus master, medium devsel, latency 64, IRQ 11
        Memory at f8000000 (32-bit, prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 2
                                                                                
Note that this device uses the orinoco_pci module.
                                                                                
In neat, click on the                                                          
                     Hardware tab, click New, then select Hardware Type of
Wireless. This generates the following message:
                                                                                
        Warning. Sorry, there is nothing to be edited, or this
        type cannot be edited yet.
                                                                                
If this is the case, the Hardware Type of Wireless probably shouldn't be
available, and even if so, shouldn't be the default option.
                                 
Then I tried to setup the wireless device by clicking on the Devices tab,
clicking New, then selecting Device Type of Wireless connection. The orinoco_pci
device was not listed; the only option is Other Wireless Card. Selecting that, I
do not see an option listed for my wireless card.
                                                                                
The one way I was able to edit the wireless device was to edit /etc/modules.conf
and add the following line:
                                                                                
alias eth1 orinoco_pci
                                                                                
it is then possible to edit the wireless connection with neat. This is overly
complicated and shouldn't be unnecessary.

Version-Release number of selected component (if applicable):

redhat-config-network-1.1.97-1 (in Phoebe 8.0.94)

How reproducible:

100%
Comment 1 Harald Hoyer 2003-02-18 08:40:07 EST
Can you please attach the output of:

$ python -c 'import kudzu;print kudzu.probe(kudzu.CLASS_NETWORK,
kudzu.BUS_UNSPEC,kudzu.PROBE_ALL);'
Comment 2 Chris Runge 2003-02-18 09:27:35 EST
# python -c 'import kudzu;print
kudzu.probe(kudzu.CLASS_NETWORK,kudzu.BUS_UNSPEC,kudzu.PROBE_ALL);'
[Desc:           Harris Semiconductor|Prism 2.5 Wavelan chipset
Driver:         orinoco_pci
Device:         None
, Desc:           Intel Corp.|82801CAM (ICH3) PRO/100 VE (LOM) Ethernet Controller
Driver:         e100
Device:         eth
]
Comment 4 Harald Hoyer 2003-08-11 10:31:28 EDT
can you please retry with 1.2.15, which should be available today as an update
Comment 5 Harald Hoyer 2004-06-04 05:50:20 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.